FROM corex:3.2.1

WORKDIR /workspace
COPY . /workspace/
#COPY requirements_f5.txt constraints_f5.txt f5_server.py launch_f5.sh /workspace/
RUN pip install -r requirements_f5.txt -c constraints_f5.txt  -i https://nexus.4pd.io/repository/pypi-all/simple
RUN cd F5-TTS && pip install -e . -c ../constraints_f5.txt -i https://nexus.4pd.io/repository/pypi-all/simple  
#ENTRYPOINT ["/bin/bash", "launch_f5.sh"]
